Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyleOptionButton.ButtonFeature

    java.lang.Object
      java.lang.Enum<QStyleOptionButton.ButtonFeature>
          com.trolltech.qt.gui.QStyleOptionButton.ButtonFeature

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyleOptionButton.ButtonFeature>

Enclosing class:
  QStyleOptionButton

    public static enum QStyleOptionButton.ButtonFeature

extends java.lang.Enum<QStyleOptionButton.ButtonFeature>
implements QtEnumerator

This enum describes the different types of features a push button can have.

See Also:
  features

Enum Constant Summary
`AutoDefaultButton` Indicates that the button is an auto default button.
`CommandLinkButton` Indicates that the button is a Windows Vista type command link.
`DefaultButton` Indicates that the button is a default button.
`Flat` Indicates a flat push button.
`HasMenu` Indicates that the button has a drop down menu.
`None` Indicates a normal push button.

Method Summary
`static QStyleOptionButton.ButtonFeatures` | `createQFlags(QStyleOptionButton.ButtonFeature... values)`
`static QStyleOptionButton.ButtonFeature` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionButton.ButtonFeature` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyleOptionButton.ButtonFeature[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### None

    public static final QStyleOptionButton.ButtonFeature None

  Indicates a normal push button.

### Flat

    public static final QStyleOptionButton.ButtonFeature Flat

  Indicates a flat push button.

### HasMenu

    public static final QStyleOptionButton.ButtonFeature HasMenu

  Indicates that the button has a drop down menu.

### DefaultButton

    public static final QStyleOptionButton.ButtonFeature DefaultButton

  Indicates that the button is a default button.

### AutoDefaultButton

    public static final QStyleOptionButton.ButtonFeature AutoDefaultButton

  Indicates that the button is an auto default button.

### CommandLinkButton

    public static final QStyleOptionButton.ButtonFeature CommandLinkButton

  Indicates that the button is a Windows Vista type command link.

Method Detail

### values

    public static final QStyleOptionButton.ButtonFeature[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyleOptionButton.ButtonFeature c : QStyleOptionButton.ButtonFeature.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyleOptionButton.ButtonFeature valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QStyleOptionButton.ButtonFeatures createQFlags(QStyleOptionButton.ButtonFeature... values)

### resolve

    public static QStyleOptionButton.ButtonFeature resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD